CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2010-3813

The WebCore::HTMLLinkElement::process function in WebCore/html/HTMLLinkElement.cpp in WebKit, as used in Apple Safari before 5.0.3 on Mac OS X 10.5 through 10.6 and Windows, and before 4.1.3 on Mac OS X 10.4; webkitgtk before 1.2.6; and possibly other products does not verify whether DNS prefetching is enabled when processing an HTML LINK element, which allows remote attackers to bypass intended access restrictions, as demonstrated by an HTML e-mail message that uses a LINK element for X-Confirm-Reading-To functionality.
Publish Date : 2010-11-22 Last Update Date : 2011-07-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Bypass a restriction or similar
CWE ID 264

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate
3.7
AV:L/AC:H/Au:N/C:P/I:P/A:P 2010-10-26 2010-11-18
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2010-3813 oval:org.opensuse.security:def:20103813 unix
ELSA-2011:0177: webkitgtk security update (Moderate) oval:org.mitre.oval:def:23285 unix
RHSA-2011:0177: webkitgtk security update (Moderate) oval:org.mitre.oval:def:21433 unix
RHSA-2011:0177: webkitgtk security update (Moderate) oval:com.redhat.rhsa:def:20110177 unix
Vulnerability in WebKit in Apple Safari before 5.0.3 versions oval:org.mitre.oval:def:12293 windows
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2010-3813

# Product Type Vendor Product Version Update Edition Language
1 Application Apple Safari 1.0 Version Details Vulnerabilities
2 Application Apple Safari 1.0 Beta2 Version Details Vulnerabilities
3 Application Apple Safari 1.0 Beta Version Details Vulnerabilities
4 Application Apple Safari 1.0.0b2 Version Details Vulnerabilities
5 Application Apple Safari 1.0.0b1 Version Details Vulnerabilities
6 Application Apple Safari 1.0.0 Version Details Vulnerabilities
7 Application Apple Safari 1.0.1 Version Details Vulnerabilities
8 Application Apple Safari 1.0.2 Version Details Vulnerabilities
9 Application Apple Safari 1.0.3 85.8.1 Version Details Vulnerabilities
10 Application Apple Safari 1.0.3 85.8 Version Details Vulnerabilities
11 Application Apple Safari 1.0.3 Version Details Vulnerabilities
12 Application Apple Safari 1.1 Version Details Vulnerabilities
13 Application Apple Safari 1.1.0 Version Details Vulnerabilities
14 Application Apple Safari 1.1.1 Version Details Vulnerabilities
15 Application Apple Safari 1.2 Version Details Vulnerabilities
16 Application Apple Safari 1.2.0 Version Details Vulnerabilities
17 Application Apple Safari 1.2.1 Version Details Vulnerabilities
18 Application Apple Safari 1.2.2 Version Details Vulnerabilities
19 Application Apple Safari 1.2.3 Version Details Vulnerabilities
20 Application Apple Safari 1.2.4 Version Details Vulnerabilities
21 Application Apple Safari 1.2.5 Version Details Vulnerabilities
22 Application Apple Safari 1.3 Version Details Vulnerabilities
23 Application Apple Safari 1.3.0 Version Details Vulnerabilities
24 Application Apple Safari 1.3.1 Version Details Vulnerabilities
25 Application Apple Safari 1.3.2 Version Details Vulnerabilities
26 Application Apple Safari 1.3.2 312.6 Version Details Vulnerabilities
27 Application Apple Safari 1.3.2 312.5 Version Details Vulnerabilities
28 Application Apple Safari 2 Version Details Vulnerabilities
29 Application Apple Safari 2.0 Version Details Vulnerabilities
30 Application Apple Safari 2.0.0 Version Details Vulnerabilities
31 Application Apple Safari 2.0.1 Version Details Vulnerabilities
32 Application Apple Safari 2.0.2 Version Details Vulnerabilities
33 Application Apple Safari 2.0.3 417.9.2 Version Details Vulnerabilities
34 Application Apple Safari 2.0.3 417.9 Version Details Vulnerabilities
35 Application Apple Safari 2.0.3 417.8 Version Details Vulnerabilities
36 Application Apple Safari 2.0.3 Version Details Vulnerabilities
37 Application Apple Safari 2.0.3 417.9.3 Version Details Vulnerabilities
38 Application Apple Safari 2.0.4 Version Details Vulnerabilities
39 Application Apple Safari 3 Version Details Vulnerabilities
40 Application Apple Safari 3.0 Version Details Vulnerabilities
41 Application Apple Safari 3.0.0 Version Details Vulnerabilities
42 Application Apple Safari 3.0.0b Version Details Vulnerabilities
43 Application Apple Safari 3.0.1b Version Details Vulnerabilities
44 Application Apple Safari 3.0.1 Version Details Vulnerabilities
45 Application Apple Safari 3.0.2b Version Details Vulnerabilities
46 Application Apple Safari 3.0.2 Version Details Vulnerabilities
47 Application Apple Safari 3.0.3b Version Details Vulnerabilities
48 Application Apple Safari 3.0.3 Version Details Vulnerabilities
49 Application Apple Safari 3.0.4b Version Details Vulnerabilities
50 Application Apple Safari 3.0.4 Version Details Vulnerabilities
51 Application Apple Safari 3.1.0b Version Details Vulnerabilities
52 Application Apple Safari 3.1.0 Version Details Vulnerabilities
53 Application Apple Safari 3.1.1 Version Details Vulnerabilities
54 Application Apple Safari 3.1.2 Version Details Vulnerabilities
55 Application Apple Safari 3.2.0 Version Details Vulnerabilities
56 Application Apple Safari 3.2.1 Version Details Vulnerabilities
57 Application Apple Safari 3.2.2 Version Details Vulnerabilities
58 Application Apple Safari 4.1 Version Details Vulnerabilities
59 Application Apple Safari 4.1.1 Version Details Vulnerabilities
60 Application Apple Safari 4.1.2 Version Details Vulnerabilities
61 Application Apple Safari 5.0 Version Details Vulnerabilities
62 Application Apple Safari 5.0.1 Version Details Vulnerabilities
63 Application Apple Safari 5.0.2 Version Details Vulnerabilities
64 Application Apple Webkit Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apple Safari 63
Apple Webkit 1

- References For CVE-2010-3813

http://lists.fedoraproject.org/pipermail/package-announce/2011-January/052906.html
FEDORA FEDORA-2011-0121
http://lists.apple.com/archives/security-announce/2010//Nov/msg00002.html
APPLE APPLE-SA-2010-11-18-1
http://lists.apple.com/archives/security-announce/2010//Nov/msg00003.html
APPLE APPLE-SA-2010-11-22-1
http://support.apple.com/kb/HT4455 CONFIRM
http://support.apple.com/kb/HT4456 CONFIRM
http://secunia.com/advisories/43086
SECUNIA 43086
http://secunia.com/advisories/43068
SECUNIA 43068
http://secunia.com/advisories/42314
SECUNIA 42314
http://lists.opensuse.org/opensuse-security-announce/2011-01/msg00006.html
SUSE SUSE-SR:2011:002
http://www.mandriva.com/security/advisories?name=MDVSA-2011:039
MANDRIVA MDVSA-2011:039
http://www.vupen.com/english/advisories/2010/3046
VUPEN ADV-2010-3046
http://www.redhat.com/support/errata/RHSA-2011-0177.html
REDHAT RHSA-2011:0177
http://www.vupen.com/english/advisories/2011/0212
VUPEN ADV-2011-0212
http://www.vupen.com/english/advisories/2011/0216
VUPEN ADV-2011-0216
http://www.vupen.com/english/advisories/2011/0552
VUPEN ADV-2011-0552
https://bugzilla.redhat.com/show_bug.cgi?id=667024 CONFIRM
https://bugs.webkit.org/show_bug.cgi?id=42500
http://trac.webkit.org/changeset/63622

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2010-3813

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.